Package com.destroystokyo.paper.event.server

# Class GS4QueryEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.server.GS4QueryEvent

public final class GS4QueryEvent extends Event
This event is fired if server is getting queried over GS4 Query protocol Adapted from Velocity's ProxyQueryEvent

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GS4QueryEvent.QueryResponse`
`static enum`
`GS4QueryEvent.QueryType`
The type of query

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`GS4QueryEvent(@NotNull GS4QueryEvent.QueryType queryType, @NotNull InetAddress querierAddress, @NotNull GS4QueryEvent.QueryResponse response)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull InetAddress`
`getQuerierAddress()`
Get querier address
`@NotNull GS4QueryEvent.QueryType`
`getQueryType()`
Get query type
`@NotNull GS4QueryEvent.QueryResponse`
`getResponse()`
Get query response
`void`
`setResponse(@NotNull GS4QueryEvent.QueryResponse response)`
Set query response
`String`
`toString()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GS4QueryEvent

public GS4QueryEvent(@NotNull @NotNull GS4QueryEvent.QueryType queryType, @NotNull @NotNull InetAddress querierAddress, @NotNull @NotNull GS4QueryEvent.QueryResponse response)

## Method Details

### getQueryType

@NotNull public @NotNull GS4QueryEvent.QueryType getQueryType()
Get query type

Returns:
  query type

### getQuerierAddress

@NotNull public @NotNull InetAddress getQuerierAddress()
Get querier address

Returns:
  querier address

### getResponse

@NotNull public @NotNull GS4QueryEvent.QueryResponse getResponse()
Get query response

Returns:
  query response

### setResponse

public void setResponse(@NotNull @NotNull GS4QueryEvent.QueryResponse response)
Set query response

Parameters:
  `response` - query response

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()